
_Receptor:

;code_mikroc.c,72 :: 		void Receptor(){
;code_mikroc.c,73 :: 		buff[contador] = UART1_Read();
	MOVF       _contador+0, 0
	ADDLW      _buff+0
	MOVWF      FLOC__Receptor+0
	CALL       _UART1_Read+0
	MOVF       FLOC__Receptor+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;code_mikroc.c,74 :: 		if(buff[0] = 0x7E)
	MOVLW      126
	MOVWF      _buff+0
;code_mikroc.c,75 :: 		contador++;
	INCF       _contador+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _contador+0
;code_mikroc.c,76 :: 		}
	RETURN
; end of _Receptor

_Buff_Cleaner:

;code_mikroc.c,79 :: 		void Buff_Cleaner(){
;code_mikroc.c,81 :: 		for(i=0; i <= 14; i++){
	CLRF       R1+0
L_Buff_Cleaner1:
	MOVF       R1+0, 0
	SUBLW      14
	BTFSS      STATUS+0, 0
	GOTO       L_Buff_Cleaner2
;code_mikroc.c,82 :: 		buff[i] = 0;
	MOVF       R1+0, 0
	ADDLW      _buff+0
	MOVWF      FSR
	CLRF       INDF+0
;code_mikroc.c,81 :: 		for(i=0; i <= 14; i++){
	INCF       R1+0, 1
;code_mikroc.c,83 :: 		}
	GOTO       L_Buff_Cleaner1
L_Buff_Cleaner2:
;code_mikroc.c,84 :: 		}
	RETURN
; end of _Buff_Cleaner

_Buffer_Lleno:

;code_mikroc.c,87 :: 		unsigned short Buffer_Lleno(){
;code_mikroc.c,88 :: 		if(contador >= 14){
	MOVLW      14
	SUBWF      _contador+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Buffer_Lleno4
;code_mikroc.c,89 :: 		contador = 0x00;
	CLRF       _contador+0
;code_mikroc.c,90 :: 		return(1);
	MOVLW      1
	MOVWF      R0+0
	RETURN
;code_mikroc.c,91 :: 		}
L_Buffer_Lleno4:
;code_mikroc.c,93 :: 		return(0);
	CLRF       R0+0
;code_mikroc.c,94 :: 		}
	RETURN
; end of _Buffer_Lleno

_Check_Direccion:

;code_mikroc.c,97 :: 		unsigned char Check_Direccion(){
;code_mikroc.c,98 :: 		switch(buff[4]){
	GOTO       L_Check_Direccion6
;code_mikroc.c,99 :: 		case 0x11: return(0x01); break;
L_Check_Direccion8:
	MOVLW      1
	MOVWF      R0+0
	RETURN
;code_mikroc.c,100 :: 		case 0x22: return(0x02); break;
L_Check_Direccion9:
	MOVLW      2
	MOVWF      R0+0
	RETURN
;code_mikroc.c,101 :: 		case 0x33: return(0x03); break;
L_Check_Direccion10:
	MOVLW      3
	MOVWF      R0+0
	RETURN
;code_mikroc.c,102 :: 		case 0x44: return(0x04); break;
L_Check_Direccion11:
	MOVLW      4
	MOVWF      R0+0
	RETURN
;code_mikroc.c,103 :: 		default: return(0); break;
L_Check_Direccion12:
	CLRF       R0+0
	RETURN
;code_mikroc.c,104 :: 		}
L_Check_Direccion6:
	MOVF       _buff+4, 0
	XORLW      17
	BTFSC      STATUS+0, 2
	GOTO       L_Check_Direccion8
	MOVF       _buff+4, 0
	XORLW      34
	BTFSC      STATUS+0, 2
	GOTO       L_Check_Direccion9
	MOVF       _buff+4, 0
	XORLW      51
	BTFSC      STATUS+0, 2
	GOTO       L_Check_Direccion10
	MOVF       _buff+4, 0
	XORLW      68
	BTFSC      STATUS+0, 2
	GOTO       L_Check_Direccion11
	GOTO       L_Check_Direccion12
;code_mikroc.c,105 :: 		}
	RETURN
; end of _Check_Direccion

_CopyConst2Ram:

;code_mikroc.c,108 :: 		char * CopyConst2Ram(char * dest, const char * src){
;code_mikroc.c,110 :: 		d = dest;
	MOVF       FARG_CopyConst2Ram_dest+0, 0
	MOVWF      R3+0
;code_mikroc.c,111 :: 		for(;*dest++ = *src++;)
L_CopyConst2Ram13:
	MOVF       FARG_CopyConst2Ram_dest+0, 0
	MOVWF      R2+0
	INCF       FARG_CopyConst2Ram_dest+0, 1
	MOVF       FARG_CopyConst2Ram_src+0, 0
	MOVWF      R0+0
	MOVF       FARG_CopyConst2Ram_src+1, 0
	MOVWF      R0+1
	INCF       FARG_CopyConst2Ram_src+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_CopyConst2Ram_src+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R2+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	MOVF       R2+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_CopyConst2Ram14
;code_mikroc.c,112 :: 		;
	GOTO       L_CopyConst2Ram13
L_CopyConst2Ram14:
;code_mikroc.c,113 :: 		return d;
	MOVF       R3+0, 0
	MOVWF      R0+0
;code_mikroc.c,114 :: 		}
	RETURN
; end of _CopyConst2Ram

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;code_mikroc.c,116 :: 		void interrupt(){
;code_mikroc.c,117 :: 		if(RX_Flag){
	BTFSS      PIR1+0, 5
	GOTO       L_interrupt16
;code_mikroc.c,118 :: 		Receptor();
	CALL       _Receptor+0
;code_mikroc.c,119 :: 		if(Buffer_Lleno()){
	CALL       _Buffer_Lleno+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt17
;code_mikroc.c,121 :: 		PIE1.RCIE   = 0;
	BCF        PIE1+0, 5
;code_mikroc.c,122 :: 		INTCON.PEIE = 0;
	BCF        INTCON+0, 6
;code_mikroc.c,123 :: 		INTCON.GIE  = 0;
	BCF        INTCON+0, 7
;code_mikroc.c,124 :: 		dir_xbee = Check_Direccion();
	CALL       _Check_Direccion+0
	MOVF       R0+0, 0
	MOVWF      _dir_xbee+0
;code_mikroc.c,125 :: 		xbee_flag = 1;
	MOVLW      1
	MOVWF      _xbee_flag+0
;code_mikroc.c,126 :: 		Buff_Cleaner();
	CALL       _Buff_Cleaner+0
;code_mikroc.c,127 :: 		}
L_interrupt17:
;code_mikroc.c,128 :: 		}
L_interrupt16:
;code_mikroc.c,129 :: 		}
L__interrupt62:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_send_atc:

;code_mikroc.c,132 :: 		void send_atc(const char *s)
;code_mikroc.c,135 :: 		while(*s) {
L_send_atc18:
	MOVF       FARG_send_atc_s+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_send_atc_s+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_send_atc19
;code_mikroc.c,136 :: 		UART1_Write(*s++);
	MOVF       FARG_send_atc_s+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_send_atc_s+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	INCF       FARG_send_atc_s+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_send_atc_s+1, 1
;code_mikroc.c,137 :: 		}
	GOTO       L_send_atc18
L_send_atc19:
;code_mikroc.c,139 :: 		UART1_Write(0x0D);
	MOVLW      13
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;code_mikroc.c,140 :: 		}
	RETURN
; end of _send_atc

_send_sms:

;code_mikroc.c,143 :: 		void send_sms(const char *s)
;code_mikroc.c,146 :: 		while(*s) {
L_send_sms20:
	MOVF       FARG_send_sms_s+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_send_sms_s+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_send_sms21
;code_mikroc.c,147 :: 		UART1_Write(*s++);
	MOVF       FARG_send_sms_s+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       FARG_send_sms_s+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
	INCF       FARG_send_sms_s+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_send_sms_s+1, 1
;code_mikroc.c,148 :: 		}
	GOTO       L_send_sms20
L_send_sms21:
;code_mikroc.c,150 :: 		UART1_Write(0x1A);
	MOVLW      26
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
;code_mikroc.c,151 :: 		}
	RETURN
; end of _send_sms

_wait:

;code_mikroc.c,154 :: 		void wait() {
;code_mikroc.c,155 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_wait22:
	DECFSZ     R13+0, 1
	GOTO       L_wait22
	DECFSZ     R12+0, 1
	GOTO       L_wait22
	DECFSZ     R11+0, 1
	GOTO       L_wait22
	NOP
	NOP
;code_mikroc.c,156 :: 		}
	RETURN
; end of _wait

_main:

;code_mikroc.c,158 :: 		void main() {
;code_mikroc.c,161 :: 		ANSEL  = 0;
	CLRF       ANSEL+0
;code_mikroc.c,162 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;code_mikroc.c,165 :: 		TRISD0_bit = 1;                                // place a call input
	BSF        TRISD0_bit+0, 0
;code_mikroc.c,166 :: 		TRISD1_bit = 1;                                // hang up input
	BSF        TRISD1_bit+0, 1
;code_mikroc.c,167 :: 		TRISD2_bit = 1;                                // answer a call input
	BSF        TRISD2_bit+0, 2
;code_mikroc.c,168 :: 		TRISD3_bit = 1;                                // continue with PIC program
	BSF        TRISD3_bit+0, 3
;code_mikroc.c,169 :: 		TRISD4_bit = 0;
	BCF        TRISD4_bit+0, 4
;code_mikroc.c,171 :: 		TRISE.B0 = 0;
	BCF        TRISE+0, 0
;code_mikroc.c,178 :: 		PIE1.RCIE   = 0;
	BCF        PIE1+0, 5
;code_mikroc.c,179 :: 		INTCON.PEIE = 0;
	BCF        INTCON+0, 6
;code_mikroc.c,180 :: 		INTCON.GIE  = 0;
	BCF        INTCON+0, 7
;code_mikroc.c,183 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;code_mikroc.c,184 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,187 :: 		LCD_Out(1,1,CopyConst2Ram(msg,lcd2));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd2+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd2+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,188 :: 		LCD_Out(2,1,CopyConst2Ram(msg,lcd3));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd3+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd3+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,190 :: 		UART1_init(9600);                             // initialize USART module
	MOVLW      51
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;code_mikroc.c,191 :: 		Delay_ms(3000);
	MOVLW      31
	MOVWF      R11+0
	MOVLW      113
	MOVWF      R12+0
	MOVLW      30
	MOVWF      R13+0
L_main23:
	DECFSZ     R13+0, 1
	GOTO       L_main23
	DECFSZ     R12+0, 1
	GOTO       L_main23
	DECFSZ     R11+0, 1
	GOTO       L_main23
	NOP
;code_mikroc.c,193 :: 		PORTE.B0 = 1;
	BSF        PORTE+0, 0
;code_mikroc.c,194 :: 		Delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_main24:
	DECFSZ     R13+0, 1
	GOTO       L_main24
	DECFSZ     R12+0, 1
	GOTO       L_main24
	DECFSZ     R11+0, 1
	GOTO       L_main24
	NOP
;code_mikroc.c,195 :: 		PORTE.B0 = 0;
	BCF        PORTE+0, 0
;code_mikroc.c,197 :: 		PORTD.B4 = 1;
	BSF        PORTD+0, 4
;code_mikroc.c,198 :: 		while(!PORTD.F3)
L_main25:
	BTFSC      PORTD+0, 3
	GOTO       L_main26
;code_mikroc.c,199 :: 		;
	GOTO       L_main25
L_main26:
;code_mikroc.c,201 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,203 :: 		LCD_Out(1,1,CopyConst2Ram(msg,lcd1));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd1+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd1+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,205 :: 		Delay_ms(5000);                                // wait for the GSM module to initialize it self
	MOVLW      51
	MOVWF      R11+0
	MOVLW      187
	MOVWF      R12+0
	MOVLW      223
	MOVWF      R13+0
L_main27:
	DECFSZ     R13+0, 1
	GOTO       L_main27
	DECFSZ     R12+0, 1
	GOTO       L_main27
	DECFSZ     R11+0, 1
	GOTO       L_main27
	NOP
	NOP
;code_mikroc.c,208 :: 		do{
L_main28:
;code_mikroc.c,209 :: 		send_atc("AT");                              // send "AT" string until gsm sets up its baud rade
	MOVLW      ?lstr_1_code_mikroc+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(?lstr_1_code_mikroc+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,210 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main31:
	DECFSZ     R13+0, 1
	GOTO       L_main31
	DECFSZ     R12+0, 1
	GOTO       L_main31
	DECFSZ     R11+0, 1
	GOTO       L_main31
	NOP
;code_mikroc.c,211 :: 		i++;}
	INCF       _i+0, 1
;code_mikroc.c,212 :: 		while(i<=40);
	MOVLW      128
	XORLW      40
	MOVWF      R0+0
	MOVLW      128
	XORWF      _i+0, 0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main28
;code_mikroc.c,213 :: 		i=0;
	CLRF       _i+0
;code_mikroc.c,216 :: 		send_atc(atc1);
	MOVLW      _atc1+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc1+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,217 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main32:
	DECFSZ     R13+0, 1
	GOTO       L_main32
	DECFSZ     R12+0, 1
	GOTO       L_main32
	DECFSZ     R11+0, 1
	GOTO       L_main32
	NOP
	NOP
;code_mikroc.c,219 :: 		send_atc(atc2);
	MOVLW      _atc2+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc2+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,220 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main33:
	DECFSZ     R13+0, 1
	GOTO       L_main33
	DECFSZ     R12+0, 1
	GOTO       L_main33
	DECFSZ     R11+0, 1
	GOTO       L_main33
	NOP
	NOP
;code_mikroc.c,221 :: 		send_atc(atc_1);
	MOVLW      _atc_1+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_1+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,222 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main34:
	DECFSZ     R13+0, 1
	GOTO       L_main34
	DECFSZ     R12+0, 1
	GOTO       L_main34
	DECFSZ     R11+0, 1
	GOTO       L_main34
	NOP
	NOP
;code_mikroc.c,223 :: 		send_atc(atc_4);
	MOVLW      _atc_4+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_4+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,224 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main35:
	DECFSZ     R13+0, 1
	GOTO       L_main35
	DECFSZ     R12+0, 1
	GOTO       L_main35
	DECFSZ     R11+0, 1
	GOTO       L_main35
	NOP
	NOP
;code_mikroc.c,226 :: 		while(1) {
L_main36:
;code_mikroc.c,228 :: 		LCD_Out(1,1,CopyConst2Ram(msg,lcd4));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd4+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd4+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,230 :: 		LCD_Out(2,1,CopyConst2Ram(msg,lcd5));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd5+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd5+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,232 :: 		if(Button(&PORTD, 1, 10, 1)) {
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      1
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main38
;code_mikroc.c,234 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,235 :: 		LCD_Out(1,1,CopyConst2Ram(msg,lcd6));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd6+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd6+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,238 :: 		send_atc(atc_5);
	MOVLW      _atc_5+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_5+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,239 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main39:
	DECFSZ     R13+0, 1
	GOTO       L_main39
	DECFSZ     R12+0, 1
	GOTO       L_main39
	DECFSZ     R11+0, 1
	GOTO       L_main39
	NOP
	NOP
;code_mikroc.c,240 :: 		send_sms(sms_mj1);
	MOVLW      _sms_mj1+0
	MOVWF      FARG_send_sms_s+0
	MOVLW      hi_addr(_sms_mj1+0)
	MOVWF      FARG_send_sms_s+1
	CALL       _send_sms+0
;code_mikroc.c,241 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main40:
	DECFSZ     R13+0, 1
	GOTO       L_main40
	DECFSZ     R12+0, 1
	GOTO       L_main40
	DECFSZ     R11+0, 1
	GOTO       L_main40
	NOP
	NOP
;code_mikroc.c,242 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,243 :: 		}
L_main38:
;code_mikroc.c,245 :: 		if(Button(&PORTD, 2, 10, 1)) {
	MOVLW      PORTD+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      10
	MOVWF      FARG_Button_time_ms+0
	MOVLW      1
	MOVWF      FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main41
;code_mikroc.c,246 :: 		while(UART1_Data_Ready()){
L_main42:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main43
;code_mikroc.c,247 :: 		UART1_Read();
	CALL       _UART1_Read+0
;code_mikroc.c,248 :: 		}
	GOTO       L_main42
L_main43:
;code_mikroc.c,249 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,250 :: 		LCD_Out(1,1,CopyConst2Ram(msg,lcd7));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _lcd7+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_lcd7+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,251 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main44:
	DECFSZ     R13+0, 1
	GOTO       L_main44
	DECFSZ     R12+0, 1
	GOTO       L_main44
	DECFSZ     R11+0, 1
	GOTO       L_main44
	NOP
	NOP
;code_mikroc.c,253 :: 		PIE1.RCIE   = 1;
	BSF        PIE1+0, 5
;code_mikroc.c,254 :: 		INTCON.PEIE = 1;
	BSF        INTCON+0, 6
;code_mikroc.c,255 :: 		INTCON.GIE  = 1;
	BSF        INTCON+0, 7
;code_mikroc.c,256 :: 		}
L_main41:
;code_mikroc.c,258 :: 		if(xbee_flag){
	MOVF       _xbee_flag+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main45
;code_mikroc.c,259 :: 		if(dir_xbee == 1){
	MOVF       _dir_xbee+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main46
;code_mikroc.c,260 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,261 :: 		LCD_Out(1,1,CopyConst2Ram(msg,sms_mj5));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _sms_mj5+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_sms_mj5+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,262 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main47:
	DECFSZ     R13+0, 1
	GOTO       L_main47
	DECFSZ     R12+0, 1
	GOTO       L_main47
	DECFSZ     R11+0, 1
	GOTO       L_main47
	NOP
	NOP
;code_mikroc.c,263 :: 		send_atc(atc_5);
	MOVLW      _atc_5+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_5+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,264 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main48:
	DECFSZ     R13+0, 1
	GOTO       L_main48
	DECFSZ     R12+0, 1
	GOTO       L_main48
	DECFSZ     R11+0, 1
	GOTO       L_main48
	NOP
	NOP
;code_mikroc.c,265 :: 		send_sms(sms_mj5);
	MOVLW      _sms_mj5+0
	MOVWF      FARG_send_sms_s+0
	MOVLW      hi_addr(_sms_mj5+0)
	MOVWF      FARG_send_sms_s+1
	CALL       _send_sms+0
;code_mikroc.c,266 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main49:
	DECFSZ     R13+0, 1
	GOTO       L_main49
	DECFSZ     R12+0, 1
	GOTO       L_main49
	DECFSZ     R11+0, 1
	GOTO       L_main49
	NOP
	NOP
;code_mikroc.c,267 :: 		xbee_flag = 0;
	CLRF       _xbee_flag+0
;code_mikroc.c,268 :: 		}
L_main46:
;code_mikroc.c,269 :: 		if(dir_xbee == 2){
	MOVF       _dir_xbee+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_main50
;code_mikroc.c,270 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,271 :: 		LCD_Out(1,1,CopyConst2Ram(msg,sms_mj4));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _sms_mj4+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_sms_mj4+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,272 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main51:
	DECFSZ     R13+0, 1
	GOTO       L_main51
	DECFSZ     R12+0, 1
	GOTO       L_main51
	DECFSZ     R11+0, 1
	GOTO       L_main51
	NOP
	NOP
;code_mikroc.c,273 :: 		send_atc(atc_5);
	MOVLW      _atc_5+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_5+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,274 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main52:
	DECFSZ     R13+0, 1
	GOTO       L_main52
	DECFSZ     R12+0, 1
	GOTO       L_main52
	DECFSZ     R11+0, 1
	GOTO       L_main52
	NOP
	NOP
;code_mikroc.c,275 :: 		send_sms(sms_mj4);
	MOVLW      _sms_mj4+0
	MOVWF      FARG_send_sms_s+0
	MOVLW      hi_addr(_sms_mj4+0)
	MOVWF      FARG_send_sms_s+1
	CALL       _send_sms+0
;code_mikroc.c,276 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main53:
	DECFSZ     R13+0, 1
	GOTO       L_main53
	DECFSZ     R12+0, 1
	GOTO       L_main53
	DECFSZ     R11+0, 1
	GOTO       L_main53
	NOP
	NOP
;code_mikroc.c,277 :: 		xbee_flag = 0;
	CLRF       _xbee_flag+0
;code_mikroc.c,278 :: 		}
L_main50:
;code_mikroc.c,279 :: 		if(dir_xbee == 3){
	MOVF       _dir_xbee+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_main54
;code_mikroc.c,280 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,281 :: 		LCD_Out(1,1,CopyConst2Ram(msg,sms_mj3));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _sms_mj3+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_sms_mj3+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,282 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main55:
	DECFSZ     R13+0, 1
	GOTO       L_main55
	DECFSZ     R12+0, 1
	GOTO       L_main55
	DECFSZ     R11+0, 1
	GOTO       L_main55
	NOP
	NOP
;code_mikroc.c,283 :: 		send_atc(atc_5);
	MOVLW      _atc_5+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_5+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,284 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main56:
	DECFSZ     R13+0, 1
	GOTO       L_main56
	DECFSZ     R12+0, 1
	GOTO       L_main56
	DECFSZ     R11+0, 1
	GOTO       L_main56
	NOP
	NOP
;code_mikroc.c,285 :: 		send_sms(sms_mj3);
	MOVLW      _sms_mj3+0
	MOVWF      FARG_send_sms_s+0
	MOVLW      hi_addr(_sms_mj3+0)
	MOVWF      FARG_send_sms_s+1
	CALL       _send_sms+0
;code_mikroc.c,286 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main57:
	DECFSZ     R13+0, 1
	GOTO       L_main57
	DECFSZ     R12+0, 1
	GOTO       L_main57
	DECFSZ     R11+0, 1
	GOTO       L_main57
	NOP
	NOP
;code_mikroc.c,287 :: 		xbee_flag = 0;
	CLRF       _xbee_flag+0
;code_mikroc.c,288 :: 		}
L_main54:
;code_mikroc.c,289 :: 		if(dir_xbee == 4){
	MOVF       _dir_xbee+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_main58
;code_mikroc.c,290 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;code_mikroc.c,291 :: 		LCD_Out(1,1,CopyConst2Ram(msg,sms_mj2));
	MOVLW      _msg+0
	MOVWF      FARG_CopyConst2Ram_dest+0
	MOVLW      _sms_mj2+0
	MOVWF      FARG_CopyConst2Ram_src+0
	MOVLW      hi_addr(_sms_mj2+0)
	MOVWF      FARG_CopyConst2Ram_src+1
	CALL       _CopyConst2Ram+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;code_mikroc.c,292 :: 		Delay_ms(1000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main59:
	DECFSZ     R13+0, 1
	GOTO       L_main59
	DECFSZ     R12+0, 1
	GOTO       L_main59
	DECFSZ     R11+0, 1
	GOTO       L_main59
	NOP
	NOP
;code_mikroc.c,293 :: 		send_atc(atc_5);
	MOVLW      _atc_5+0
	MOVWF      FARG_send_atc_s+0
	MOVLW      hi_addr(_atc_5+0)
	MOVWF      FARG_send_atc_s+1
	CALL       _send_atc+0
;code_mikroc.c,294 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main60:
	DECFSZ     R13+0, 1
	GOTO       L_main60
	DECFSZ     R12+0, 1
	GOTO       L_main60
	DECFSZ     R11+0, 1
	GOTO       L_main60
	NOP
	NOP
;code_mikroc.c,295 :: 		send_sms(sms_mj2);
	MOVLW      _sms_mj2+0
	MOVWF      FARG_send_sms_s+0
	MOVLW      hi_addr(_sms_mj2+0)
	MOVWF      FARG_send_sms_s+1
	CALL       _send_sms+0
;code_mikroc.c,296 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_main61:
	DECFSZ     R13+0, 1
	GOTO       L_main61
	DECFSZ     R12+0, 1
	GOTO       L_main61
	DECFSZ     R11+0, 1
	GOTO       L_main61
	NOP
	NOP
;code_mikroc.c,297 :: 		xbee_flag = 0;
	CLRF       _xbee_flag+0
;code_mikroc.c,298 :: 		}
L_main58:
;code_mikroc.c,299 :: 		}
L_main45:
;code_mikroc.c,300 :: 		}
	GOTO       L_main36
;code_mikroc.c,301 :: 		}
	GOTO       $+0
; end of _main
